p Iedere les begint met:
ul
  li
    p Aanwezigheidsregistratie via iSAS.
  li
    p Toelichting op de structuur van de les.
p
  | Verder is het meestal nodig om vooraf 
  em zelf te studeren op de aangegeven bronnen
  |. 
  | Tijdens lessen is er helaas vrijwel geen tijd om de inhoud van de bronnen nog eens helemaal na te lopen. 
  | In plaats daarvan worden de hoofdlijnen nog eens kort uitgelegd en richten we ons op toepassingen, om je leerproces te ondersteunen maar niet compleet in te vullen.
component-section(datetimestart='2021-11-09T19:45' minutesneeded='105' istopmost='true')
  div(slot='title') Computationeel denken
  p.bron
    a(href='#sec_4') Data
    | : tot en met ‘Waarom je adt’s en datastructuren leert’.
  p.bron
    a(href='#sec_5') Algoritmes en complexiteit
    | : tot en met ‘Waarom je datastructuren en algoritmes leert’.
  component-section
    div(slot='title') Wat je leert
    component-intendedlearningoutcomes
      component-intendedlearningoutcome(codes='["begrip-algoritme"]')
        | Je legt uit algoritme.
      component-intendedlearningoutcome(codes='["begrip-computationeel_denken"]')
        | Je legt uit computationeel denken.
      component-intendedlearningoutcome(codes='["begrip-datastructuur"]')
        | Je legt uit datastructuur.
  component-section(datetimestart='2021-11-09T19:45' minutesneeded='5')
    div(slot='title') Welkom
  component-section(datetimestart='2021-11-09T19:50' minutesneeded='20')
    div(slot='title') 🤝  Kennismaking
    ol.instructor_only
      li
        p Introductie door docent.
      li
        p Introductie door studenten. 
        | Focus: interesse in datastructuren en algoritmes?
  component-section(datetimestart='2021-11-09T20:10' minutesneeded='10')
    div(slot='title') 📑  Studiehandleiding
    ol.instructor_only
      li
        p Opzet/ritme lessen.
      li
        p Deeltentamens.
      li
        p Tips/ervaringen uit het verleden.
  component-section(datetimestart='2021-11-09T20:20' minutesneeded='10')
    div(slot='title') 🗂️  Datastructuren
    ol.instructor_only
      li
        p Verschil adt's en datastructuren.
      li
        p Voorbeelden/nut van datastructuren.
    // TODO: illustraties.
  component-section(datetimestart='2021-11-09T20:30' minutesneeded='20')
    div(slot='title') 🔬  Onderzoekje: implementaties datastructuren
    component-exercise(together)
      p.praktijk
        | Bij veel courses over algoritmes en datastructuren leer je alleen theoretische concepten en voorbeeldimplementaties. 
        | Als hbo-ontwikkelaar je uiteindelijk in de praktijk werken met algoritmes en datastructuren. 
        | Dan is het wel zo handig om te weten welke productiewaardige implementaties er zijn. 
        | Tijdens deze les maak je een begin met een onderzoekje.
      p
        strong Onderzoeksvraag
        |: welke implementaties van datastructuren bieden de (standaard)bibliotheken van programmeertaal \(L\)?
      p
        strong Deelvragen
      ol
        li
          p
            | Welke 
            em methods
            |  zijn de implementatie van welke 
            em operaties
            | ?
        li
          p
            | Wat is de 
            em broncode
            |  en 
            em API-documentatie
            |  van de implementatie?
        li
          p
            | Zijn er 
            em alternatieve implementaties
            |  in of tussen bibliotheken?
      p
        | Voor welke programmeertaalimplementatie(s) ga je dit doen? 
        | In eerste instantie voor programmeertaalimplementaties \(L\) (zoals OpenJDK, CPython) waar je al bekend mee bent (en dan het liefst die die voor je werk en OP nuttig zijn). 
        | In tweede instantie voor andere interessante programmeertalen.
      p
        strong Bronnen en tips
      ul
        li
          p
            | Om meer structuur te geven aan je onderzoekje: 
            a(href='bron/Datastructuren.xlsx') een template van een overzichtstabel
            |  met voorbeelden van relevante informatie. 
            | De kolom ‘Complexiteitscategorie’ hoef je pas te begrijpen na de lessen over algoritmeanalyse.
        li
          p
            a(href='https://devdocs.io/') DevDocs
            |  biedt snel en overzichtelijk toegang tot documentatie van vele bibliotheken.
  component-section(datetimestart='2021-11-09T20:50' minutesneeded='5')
    div(slot='title') 🔬  Bespreking onderzoekje
    ol.instructor_only
      li
        p Verschil tussen programmeertaal en programmeertaalimplementatie (versie, variant).
      li
        p Verschil tussen standaardbibliotheek en overige bibliotheken.
      li
        p Overeenkomsten tussen namen van adt's en datastructuren tussen verschillende programmeertaalimplementaties en bibliotheken.
  component-section(datetimestart='2021-11-09T20:55' minutesneeded='10')
    div(slot='title') 💬  Dialoog: wat is een algoritme?
    p.instructor_only
  component-section(datetimestart='2021-11-09T21:05' minutesneeded='15')
    div(slot='title') 🧮  Computationeel denken en algoritmes
    p.instructor_only
      | Leg de 
      a(href='https://www.stemcomputer.be/computationeel-denken') computationele vaardigheden
      |  uit.
      br
  component-section(datetimestart='2021-11-09T21:20' minutesneeded='10')
    div(slot='title') Afronding
